List Exports
get
/public/v1/exportsA key held by an Admin lists every export in the provider, apart from complaint and form submission exports other people ran while a form's submissions are restricted from that Admin. Any other key lists only the exports its holder created.
sortstringSort the results. Prefix with '-' for descending. One of: created_at. Defaults to created_at descending.
Example:created_atpage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of ExportResource
dataobject[]required▶Show 8 child attributesHide child attributes
idstringrequiredExample:e1x2p3o4-r5t6-47i8-9d0e-1f2a3b4c5d6enamestringrequiredExample:Participants Exportstatusenum<string>requiredAvailable options:completedfailedprocessingqueuedexport_typeenum<string>requiredAvailable options:action-items-exportactive-overnights-exportaged-receivables-exportaward-interpretation-exportaward-pay-report-exportaward-timesheet-exportbillable-charges-exportcapacity-report-exportchat-channel-exportcompleted-shifts-exportcompliance-audit-pack-exportcompliance-coverage-exportcontacts-exportemployment-hero-timesheet-exportfeedback-exportflagged-notes-exportform-submissions-exportincidents-exportinvoice-exportinvoice-task-note-exportlogin-history-exportmyob-timesheet-import-exporton-call-report-exportorganisations-exportoutstanding-invoices-exportparticipant-contacts-exportparticipant-document-exportparticipant-goals-exportparticipant-information-items-exportparticipant-notes-exportparticipant-records-exportparticipant-risks-exportparticipants-exportparticipant-tags-exportpayment-allocations-exportplan-managers-exportplans-exportpolicy-acknowledgements-exportpolicy-exemptions-exportqualifications-compliance-exportrcti-exportrecord-acknowledgements-exportreferral-exportscheduling-costs-exportshift-approval-variance-exportshift-charges-exportshift-exportsignature-requests-exportsite-records-exportstaff-payments-exportsupport-notes-exportsupports-without-notes-exportsupport-tasks-exporttasks-exportteam-billable-costs-exportteam-billable-exportteam-billable-hours-exporttimesheet-exportuser-records-exportusers-exportutilisation-exportxero-timesheet-exportexport_reasonstring | nullrequiredExample:Audit requestfailed_reasonstring | nullrequiredExample:The export contained too many rowslast_downloaded_atstring | nullrequiredExample:2024-02-01T09:00:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error